The Innocents Web site requires
Macromedia Flash Player version 8 (or later)

you can get the Flash Player here